Bug 7966 - Множественные уязвимости в FreeRADIUS
: Множественные уязвимости в FreeRADIUS
Status: CLOSED WONTFIX
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/freeradius)
: 2.4
: all Linux
: P2 normal
Assigned To:
:
: http://www.securitylab.ru/vulnerabili...
:
:
:
  Show dependency tree
 
Reported: 2005-09-15 07:51 by
Modified: 2008-02-15 19:07 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-15 07:51:22
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в
обслуживании приложения и раскрыть потенциально важные данные.

1. Ошибка при обработке переменных окружения в функции radius_exec_program()
файла exec.c может вызвать переполнение стека и вызвать отказ в обслуживании
системы.

2. Обнаружены ошибки Off-by-one в файлах token.c и sql_unixodbc.c. Удаленный
пользователь может вызвать отказ в обслуживании приложения.

3. Переполнение стека в модуле xlat.c при обработке ответов от сервера может
позволить злоумышленнику вызвать отказ в обслуживании.

4. Утечка памяти возможна из-за ошибки в функции strftime() в файле xlat.c.

5. Раскрытие данных Ldap в модуле rlm_ldap.c позволяет злоумышленнику с помощью
специально сформированного Ldap запроса получить доступ к потенциально важной
информации.
------- Comment #1 From 2005-10-12 19:59:27 -------
Кто бы спорил.

freeradius-0.9.3-alt4 был включён в ALM2.4 в секцию contrib, поскольку на момент
выпуска дистрибутива у него уже не было мантейнера.

Я не знаю, найдётся ли желающий подготовить обновление этого пакета.
------- Comment #2 From 2005-10-14 11:39:53 -------
Понятно. Я бы занялся - только со свободного времени сейчас нет. Может позже...
------- Comment #3 From 2005-11-13 18:18:08 -------
Reassigned to placeholder account.
------- Comment #4 From 2008-02-15 19:07:41 -------
apparently wontfix